> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Node Diff

> Get diff between two commits for a node.



## OpenAPI

````yaml get /orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /orgs/{org_id}/nodes/{node_id}/diff/{commit_a}..{commit_b}:
    get:
      tags:
        - node-history
      summary: Get Node Diff
      description: Get diff between two commits for a node.
      operationId: >-
        get_node_diff_orgs__org_id__nodes__node_id__diff__commit_a____commit_b__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: node_id
          in: path
          required: true
          schema:
            type: string
            title: Node Id
        - name: commit_a
          in: path
          required: true
          schema:
            type: string
            title: Commit A
        - name: commit_b
          in: path
          required: true
          schema:
            type: string
            title: Commit B
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommitDiffResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CommitDiffResponse:
      properties:
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
          description: Node ID (if node-specific)
        base_commit_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Commit Id
          description: Base commit ID
        target_commit_id:
          type: string
          title: Target Commit Id
          description: Target commit ID
        added:
          items:
            $ref: '#/components/schemas/DiffEntityResponse'
          type: array
          title: Added
          description: Added entities
        removed:
          items:
            $ref: '#/components/schemas/DiffEntityResponse'
          type: array
          title: Removed
          description: Removed entities
        modified:
          items:
            $ref: '#/components/schemas/DiffEntityResponse'
          type: array
          title: Modified
          description: Modified entities
      type: object
      required:
        - target_commit_id
        - added
        - removed
        - modified
      title: CommitDiffResponse
      description: Response model for commit diff.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DiffEntityResponse:
      properties:
        entity_type:
          type: string
          title: Entity Type
          description: Type of entity
        entity_id:
          type: string
          title: Entity Id
          description: Entity ID
        entity_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity Key
          description: Entity key
        object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Object Id
          description: Object ID
        old_object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Old Object Id
          description: Old object ID (for modifications)
        new_object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: New Object Id
          description: New object ID (for modifications)
      type: object
      required:
        - entity_type
        - entity_id
      title: DiffEntityResponse
      description: Response model for entity diff data.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````